installer un paquet de testing sous buster

Demande d'aide : c'est ici.
Répondre
pancrace
Messages : 2
Enregistré le : 06 oct. 2018, 16:03
Status : Hors ligne

26 févr. 2021, 17:06

bonjour
je suis sous debian buster et le paquet que je souhaites installer est préssent sous testing/unstable.
Peut-on , et comment faire pour installer ce paquet si cela est possible.
pancrace
Messages : 2
Enregistré le : 06 oct. 2018, 16:03
Status : Hors ligne

26 févr. 2021, 17:10

je ne sais pas comment récupérer mon texte pour le corriger de la malice des touches du clavier
Avatar du membre
lol
Site Admin
Site Admin
Messages : 3373
Enregistré le : 04 avr. 2016, 12:11
Localisation : Madagascar
Contact :
Status : Hors ligne

26 févr. 2021, 19:42

Salut,

De quel paquet s'agit-il ?

Quick & durty:
Ajouter bullseye dans ton sources.list
Installer le paquet
Retirer ou commenter bullseye de ton sources.list

Plus proprement:
Ajouter bullseye dans ton sources.list
Créer un fichier "preferences" qui empêche ton système de migrer entièrement sur Testing
Installer le paquet qui t'intéresse dans la version testing.

Bien entendu la méthode quick & durty est déconseillée! :wink:
Dis nous si tu as besoin de plus de détails.
Debian stable. XFCE.
C'est curieux chez les marins ce besoin de faire des phrases (Les tontons flingueurs).
Avatar du membre
dezix
Modérateur
Modérateur
Messages : 1208
Enregistré le : 04 juin 2016, 14:50
Diaspora* : dezix@framasphere.org
Status : Hors ligne

26 févr. 2021, 19:44

Bonjour et Bienvenue ! :006:

J'ai corrigé le titre de la question

Pour la réponse,

il faut voir le wiki : L'etiquetage de paquets via le fichier /etc/apt/preferences
qui explique comment "Épingler" (pin) un paquet

Si tu lis l'anglais et/ou l'italien => https://wiki.debian.org/AptConfiguration

et la commande :
$ man apt_preferences
affiche le manuel (en français)
Debian testing/stable - XFCE
Avatar du membre
Junichirô
Membre actif
Membre actif
Messages : 868
Enregistré le : 26 avr. 2016, 01:10
Localisation : Baillif (Guadeloupe)
Contact :
Status : Hors ligne

26 févr. 2021, 22:18

Vérifier si le paquet n'est pas dans buster-backports; s'il y est cela facilitera l'installation et évitera d'éventuels tracas par la suite.
“Lorsque vous avez éliminé l’impossible, ce qui reste, si improbable soit-il, est nécessairement la vérité.”
Avatar du membre
lol
Site Admin
Site Admin
Messages : 3373
Enregistré le : 04 avr. 2016, 12:11
Localisation : Madagascar
Contact :
Status : Hors ligne

27 févr. 2021, 07:46

Hello,
Junichirô a écrit : 26 févr. 2021, 22:18 Vérifier si le paquet n'est pas dans buster-backports; s'il y est cela facilitera l'installation et évitera d'éventuels tracas par la suite.

Je n'y pense jamais, mais oui, c'est la meilleure solution!
Debian stable. XFCE.
C'est curieux chez les marins ce besoin de faire des phrases (Les tontons flingueurs).
Répondre